<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->

<vote-workflow-view></vote-workflow-view>

<h2 id="stepTitle">
  {{ 'global.step.title-prefix' | translate:currentStepNumber }}
  {{ 'ballot-list.step-name' | translate }}
</h2>

<section role="document" [innerHTML]="'ballot-list.description' | translate:counts"></section>

<section role="main">

  <!-- elections -->
  <ng-container *ngIf="elections.length > 0">
    <h3 [innerHtml]="'ballot-list.election.title' | translate"></h3>
    <ul>
      <!--TODO: identify between proportional or majority ballot-->
      <li *ngFor="let election of elections" single-ballot-card
          [ballot]="election"
          type="election-majority"
          class="ballot-card">
      </li>
    </ul>
  </ng-container>

  <!-- votations -->
  <ng-container *ngIf="votations.length > 0">
    <h3 [innerHtml]="'ballot-list.votation.title' | translate"></h3>
    <ul *ngIf="!groupVotation || votations.length === 1">
      <li *ngFor="let votation of votations" single-ballot-card
          [ballot]="votation"
          type="votation"
          class="ballot-card">
      </li>
    </ul>
    <div *ngIf="groupVotation && votations.length > 1" grouped-votation-card [ballots]="votations"></div>
  </ng-container>
</section>

<nav>
  <button mat-raised-button class="abort" (click)="quit()">
    <i class="fas fa-times" data-fa-transform="up-1 left-6"></i>
    {{ 'global.actions.quit' | translate }}
  </button>

  <div class="button-with-hint">
    <button mat-raised-button class="primary" (click)="continue()" id="next-step-button"
            aria-describedby="next-step-hint">
      {{ 'global.actions.continue' | translate }}
      <i class="fas fa-arrow-right" data-fa-transform="up-1 right-6"></i>
    </button>
    <span id="next-step-hint" class="next-step-hint">
        {{ 'global.step.next-info' | translate:nextStepNumber }}{{ 'summary.step-name' | translate }}
    </span>
  </div>
</nav>

